/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2011 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/


#ifndef AQFOXEXT_API_H
#define AQFOXEXT_API_H


#include <gwenhywfar/types.h>



#ifdef BUILDING_AQFOXEXT
# /* building AqFoxExt */
# if GWENHYWFAR_SYS_IS_WINDOWS
#   /* for windows */
#   ifdef __declspec
#     define AQFOXEXT_API __declspec (dllexport)
#   else /* if __declspec */
#     define AQFOXEXT_API
#   endif /* if NOT __declspec */
# else
#   /* for non-win32 */
#   ifdef GCC_WITH_VISIBILITY_ATTRIBUTE
#     define AQFOXEXT_API __attribute__((visibility("default")))
#   else
#     define AQFOXEXT_API
#   endif
# endif
#else
# /* not building AqFoxExt */
# if GWENHYWFAR_SYS_IS_WINDOWS
#   /* for windows */
#   ifdef __declspec
#     define AQFOXEXT_API __declspec (dllimport)
#   else /* if __declspec */
#     define AQFOXEXT_API
#   endif /* if NOT __declspec */
# else
#   /* for non-win32 */
#   define AQFOXEXT_API
# endif
#endif

#ifdef GCC_WITH_VISIBILITY_ATTRIBUTE
# define AQFOXEXT_EXPORT __attribute__((visibility("default")))
# define AQFOXEXT_NOEXPORT __attribute__((visibility("hidden")))
#else
# define AQFOXEXT_EXPORT
# define AQFOXEXT_NOEXPORT
#endif




#endif

